<?php

/*
 * Techism Customizer
 *
 * @since Techism 1.0
 * @package Techism
 *
 */
function Techism_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
}
add_action( 'customize_register', 'Techism_customize_register' );

/*
 * Loads Theme Customizer preview changes asynchronously.
 *
 * @since Techism 1.0
 */
function Techism_customize_preview_js() {
	wp_enqueue_script( 'Techism-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array( 'customize-preview' ), '2013-12-20', false );
}
add_action( 'customize_preview_init', 'Techism_customize_preview_js' );


function Techism_theme_customizer($wp_customize){
//Techism customizer begins

/* Slider Setting */
$wp_customize->add_section( 'Techism_slider_section' , array(
    'title'       => __( 'Slider Setting', 'Techism' ),
    'priority'    => 50,
    'description' => 'Customize the homepage slider',
) );
$wp_customize->add_setting(
    'Techism_slider_activate'
	);
	$wp_customize->add_control(
    'Techism_slider_activate',
    array(
        'type' => 'checkbox',
        'label' => 'Activate Homepage Slider',
        'section' => 'Techism_slider_section',
    )
);


/** 
  * Techism Category Drop Down List Class
  * modified dropdown-pages from wp-includes/class-wp-customize-control.php * 
  * @since Techism v1.0 
  */

if (class_exists('WP_Customize_Control'))
	{
	class WP_Customize_Dropdown_Categories_Control extends WP_Customize_Control

		{
		public $type = 'dropdown-categories';

		public

		function render_content()
			{
			$dropdown = wp_dropdown_categories(array(
				'name' => '_customize-dropdown-categories-' . $this->id,
				'echo' => 0,
				'hide_empty' => false,
				'show_option_none' => '&mdash; ' . __('Select', 'Techism') . ' &mdash;',
				'hide_if_empty' => false,
				'selected' => $this->value() ,
			));
			$dropdown = str_replace('<select', '<select ' . $this->get_link() , $dropdown);
			printf('<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>', $this->label, $dropdown);
			}
		}
	}

$wp_customize->add_setting('Techism_slider_category', array(
	//'default' => 'Images',
	//'type' => 'option',
	//'capability' => 'manage_options',
));
$wp_customize->add_control(new WP_Customize_Dropdown_Categories_Control($wp_customize, 'Techism_slider_category', array(
	'label' => __('Featured Category', 'Techism') ,
	'section' => 'Techism_slider_section',
	'type' => 'dropdown-categories',
	'settings' => 'Techism_slider_category',
	'priority' => 60,
)));

// Number of post control
$wp_customize->add_setting('Techism_slider_postnum', array(
'default'        => '5',
) );

$wp_customize->add_control('Techism_slider_postnum', array(
 'label'   => 'Number of Slides',
'section' => 'Techism_slider_section',
'type'    => 'select',
'choices' => array("1", "2", "3", "4", "5", "6", "7", "8", "9" ),
'priority' => 70
));
/* Slider Setting Ended */
}
add_action('customize_register', 'Techism_theme_customizer');